<?php
/********************************** age **********************************
*	Cette fonction permet de calculer un âge et de l'afficher dans un
*	article, une rubrique, une brève, etc.
*
*	La syntaxe est la suivante :
*		<ages|n=date>
*
*	Exemples :
*		<ages|n=2000-01-01>
*		<ages|n=01-01-2000>
*
*	Formats de date supportés :
*		AAAA-MM-JJ
*		AAAA/MM/JJ
*		JJ-MM-AAAA
*		JJ/MM/AAAA
*
*	Auteur	: Gaël de Weerdt
*	Version	: 0.0.1
*	Date		: 13 Février 2015
*
*************************************************************************/

	function ages($uneDate) {
		// Vérifie la présence d'une chaîne type dans la date (vérifie le format de la date)
		$test1 = preg_match("/(^[0-9]{2})[-\/]([0-9]{2})[-\/]([0-9]{4}$)/", $uneDate);
		$test2 = preg_match("/(^[0-9]{4})[-\/]([0-9]{2})[-\/]([0-9]{2}$)/", $uneDate);

		if ($test1 or $test2) {
			// Calcule l'âge
			$age = date('Y') - date('Y', strtotime($uneDate));
			if (date('md') < date('md', strtotime($uneDate))) {
				$age = $age - 1;
			}
		} else {
			return("<b>Format de date invalide : ".$uneDate."</b>");
		}

		// Revoit l'age.
		return($age);

	}
?>
